oracle.cloud.scanning.api.config

## Class Result

- java.lang.Object
- - oracle.cloud.scanning.api.config.Result

- Direct Known Subclasses:
    ClassReferenceResult, ClassToBeScannedResult, ConstructorInvocationResult, FieldUsageResult, MethodInvocationResult, MissingAnnotationAttributeResult, MissingAnnotationResult, MissingPropertyResult, MissingResourceResult, MissingXMLNodeResult, XMLElementResult

      public class Result
      extends Object

  The result object out of a check for validity.

  `IClassConfiguration` `IFileConfiguration`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Result.ResultSeverity`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `allowed`
    `protected String` | `message`
    `static Result` | `PASSED`
    `protected oracle.cloud.scanning.types.Severity` | `severity`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMessage()` The localized message.
    `Result.ResultSeverity` | `getSeverity()` Returns the severity of the error
    `boolean` | `isAllowed()` Tells if the checked configuration is allowed or not.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### allowed

          protected boolean allowed

    - #### message

          protected String message

    - #### severity

          protected oracle.cloud.scanning.types.Severity severity

    - #### PASSED

          public static final Result PASSED

  - ### Method Detail

    - #### isAllowed

          public boolean isAllowed()

      Tells if the checked configuration is allowed or not. There is an associated severity, when this returns false.

      Returns:
        true when the current check succeeds otherwise false.

        When false only, `getSeverity()` is applicable.

      See Also:
        `getSeverity()`

    - #### getMessage

          public String getMessage()

      The localized message.
      Returns:
        the localized message when the current check fails, null when `isAllowed()` returns true.

    - #### getSeverity

          public Result.ResultSeverity getSeverity()

      Returns the severity of the error
      Returns:
        the severity, applicable only when `isAllowed` returns false

        The severity of the violation. Non-error violations will not be blocked by whitelist validation tool and hence the remote install/update operations. However, warnings will be printed against those. ie)Only ERRORs will make the whitelist validation fail. However, IDEs can choose to high-light non-errors differently from errors.

        Returns null if the result is not a violation, ie) if `isAllowed()` returns true.

      See Also:
        `isAllowed()`

Copyright © 2018 Oracle. All rights reserved.